/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "openk.styles";

:host {
  width: 100%;
  display: flex;
  flex-direction: row;
}

.contacts--selection {
  flex: 1 1 100%;
}

.contacts--selection--search {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-bottom: 1em;
}

.contacts--selection--search--text {
  margin-right: 0.5em;
}

.contacts--selection--search--input {
  flex: 1;
}

.contacts--selection--text {
  margin-bottom: 0.5em;
}

.contacts--selection--list {
  display: flex;
}

.contacts--selection--list--box {
  display: flex;
  flex-direction: column;
  width: 100%;
}

.contacts--selection--list--box--info {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: flex-start;
}

.contacts--selection--list--box--info--button {
  margin-top: 0.5em;
}

.contacts--details {
  display: flex;
  flex-direction: column;
  font-size: 16px;
  padding: 1em;
  margin-left: 1em;
  flex: 1 1 25em;
  justify-content: center;
}

.contacts--details--address {
  display: flex;
  flex-flow: column;
}

.contacts--address--message {
  color: $openk-error-color;
  display: block;
  width: 100%;
  text-align: center;
}
